Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

BlackBerry® Enterprise Service 10

Reply
Regular Contributor
Posts: 56
Registered: ‎01-14-2009
My Device: Not Specified

Exchange 2010

 

Hi

 

We are currently running Exchange 2003 SP2 and looking to move to Exchange 2010. Our version of BES is 4.1.7.

 

Looking at the Compatibilty Matrix, only 5.0.1 MR1 is compatible with Exchange 2010, would I be correct?

 

However - I'm not sure what is meant by "compatability with Exchange 2010". Does this mean if the BES users are on 2010 Mailbox servers, the BES Admin mailbox is on 2010, there is even an Exchange 2010 Mailbox server in the org (that doesn't host BES users but does others) etc?

 

Also, I searched for a document on the RIM site for changes that need to be carried out to BES/Exchange to interact in a BES 5.0.1/Exchange 2010 environment, but couldn't find one?

 

M

Guru III
Posts: 32,114
Registered: ‎06-25-2008
My Device:

I'm rockin the BlackBerry PRIV, Passport, Z30, Z10, Q10, BlackBerry Mini Stereo Speaker, 64 gig PlayBook,BT Headset HS-700

My Carrier: I am on AT&T. Please edit your Personal Profile with your DEVICE TYPE, DEVICE OS and Carrier

Re: Exchange 2010


Maxtor wrote:

 

Hi

 

We are currently running Exchange 2003 SP2 and looking to move to Exchange 2010. Our version of BES is 4.1.7.

 

Looking at the Compatibilty Matrix, only 5.0.1 MR1 is compatible with Exchange 2010, would I be correct?Correct

 

However - I'm not sure what is meant by "compatability with Exchange 2010". Does this mean if the BES users are on 2010 Mailbox servers, the BES Admin mailbox is on 2010, there is even an Exchange 2010 Mailbox server in the org (that doesn't host BES users but does others) etc? Supported on 2010

 

Also, I searched for a document on the RIM site for changes that need to be carried out to BES/Exchange to interact in a BES 5.0.1/Exchange 2010 environment, but couldn't find one?

  Look at the SP1 docs.  http://docs.blackberry.com/en/admin/deliverables/12044/BlackBerry_Enterprise_Server_for_Microsoft_Ex...

M


All Server guides:

http://docs.blackberry.com/en/admin/?userType=2

 

 




Click here to Backup the data on your BlackBerry Device! It's important, and FREE!


Click "Accept as Solution" if your problem is solved. To give thanks, click thumbs up
Click to search the Knowledge Base at BTSC and click to Read The Fabulous Manuals

BESAdmin's, please make a signature with your BES environment info.


SIM Free BlackBerry Unlocking FAQ
Follow me on Twitter @knottyrope


Want to thank me? Buy my KnottyRope App here


BES 12 and BES 5.0.4 with Exchange 2010 and SQL 2012 Hyper V


Regular Contributor
Posts: 56
Registered: ‎01-14-2009
My Device: Not Specified

Re: Exchange 2010

Hi Knotty

 

Thanks for answering.

 

"However - I'm not sure what is meant by "compatability with Exchange 2010". Does this mean if the BES users are on 2010 Mailbox servers, the BES Admin mailbox is on 2010, there is even an Exchange 2010 Mailbox server in the org (that doesn't host BES users but does others) etc? Supported on 2010"

  

Sorry I'm not sure I understand what you mean by  "supported on 2010". My question was, when RIM say that BES 5.0.1 is supported against Exchange 2010 (as opposed to BES 4.1.7 which is what we are running now), and what point are we considered to be running 2010? Is it when user mailboxes are on 2010, when the BES Admin mailbox is on 2010, or when there is even only a 2010 server in the org?

 

Basically, this will help us decide at what point we need to migrate to BES 5.  For instance, if BES 4.1.7 can support users on Exchange 2010 so long as the BES Admin mailbox is not on there, then that is a different situation to we need BES 5.0.1. for 2010 as soon as we move user mailboxes onto 2010 mailbox servers.

 

Hope that makes sense

 

  

 

Guru III
Posts: 32,114
Registered: ‎06-25-2008
My Device:

I'm rockin the BlackBerry PRIV, Passport, Z30, Z10, Q10, BlackBerry Mini Stereo Speaker, 64 gig PlayBook,BT Headset HS-700

My Carrier: I am on AT&T. Please edit your Personal Profile with your DEVICE TYPE, DEVICE OS and Carrier

Re: Exchange 2010

For Exchange 2010 you'll need a CAS to communicate with a mailbox server as there is no direct MAPI/RPC communication with a mailbox server ... all goes through a CAS.

In a mixed 2007 2010 environment, with Exchange 2007 you only need the mailbox role. BES doesn't need a CAS role to communicate with an Exchange 2007 mailbox server, as you can talk direct MAPI/RPC to that server.

So 2010 is supported on BES 5 SP1.

 




Click here to Backup the data on your BlackBerry Device! It's important, and FREE!


Click "Accept as Solution" if your problem is solved. To give thanks, click thumbs up
Click to search the Knowledge Base at BTSC and click to Read The Fabulous Manuals

BESAdmin's, please make a signature with your BES environment info.


SIM Free BlackBerry Unlocking FAQ
Follow me on Twitter @knottyrope


Want to thank me? Buy my KnottyRope App here


BES 12 and BES 5.0.4 with Exchange 2010 and SQL 2012 Hyper V


Guru III
Posts: 32,114
Registered: ‎06-25-2008
My Device:

I'm rockin the BlackBerry PRIV, Passport, Z30, Z10, Q10, BlackBerry Mini Stereo Speaker, 64 gig PlayBook,BT Headset HS-700

My Carrier: I am on AT&T. Please edit your Personal Profile with your DEVICE TYPE, DEVICE OS and Carrier

Re: Exchange 2010

SO in a nut shell, any BES user on 2010 you need BES 5 SP1. It wont work well until BESAdmin account is on 2010 due to throttle policy. So you can move all users knot on BES to 2010 for now.

 




Click here to Backup the data on your BlackBerry Device! It's important, and FREE!


Click "Accept as Solution" if your problem is solved. To give thanks, click thumbs up
Click to search the Knowledge Base at BTSC and click to Read The Fabulous Manuals

BESAdmin's, please make a signature with your BES environment info.


SIM Free BlackBerry Unlocking FAQ
Follow me on Twitter @knottyrope


Want to thank me? Buy my KnottyRope App here


BES 12 and BES 5.0.4 with Exchange 2010 and SQL 2012 Hyper V